%% LilyPond-File generated by Laborejo - http://www.laborejo.org
%% Generation Date: %$$DATE$$
%% Filename: %$$FILENAME$$

\version "2.16"
#(set-default-paper-size "a4")
#(set-global-staff-size %$$FONTSIZE$$ )
#(ly:set-option 'point-and-click #f)

\paper {
  print-all-headers = ##f
  %scoreTitleMarkup = ##f

    %Print small title on every page.
    oddHeaderMarkup = \markup
    \fill-line {
    \on-the-fly #not-first-page \fromproperty #'header:title
    \on-the-fly #not-first-page \fromproperty #'header:instrument
    %"" % This will make sure that the header is never completely empty, to
    % avoid some layout problems. Also, moving it in between the title and
    % the page number, makes these be typeset left and right aligned, respectively.
    \on-the-fly #not-first-page  \on-the-fly #print-page-number-check-first \fromproperty #'page:page-number-string
    }

    evenHeaderMarkup = \markup
    \fill-line {
    \on-the-fly #print-page-number-check-first \fromproperty #'page:page-number-string
    \fromproperty #'header:instrument
    \fromproperty #'header:title
    }

}

\header{
    %$$GLOBALHEADER$$
}

%$$inc_tuplets.ly$$
%$$inc_lyricsextender.ly$$

\layout{
   %ragged-right = ##t
  \context { \Score
    \override Fingering #'add-stem-support = ##t
    \override StringNumber #'add-stem-support = ##t
    \override StrokeFinger #'add-stem-support = ##t
    %Dynamics
    \override Hairpin #'to-barline = ##f
    \override DynamicLineSpanner #'staff-padding = #2.0
    \override DynamicLineSpanner #'Y-extent = #'(-1.5 . 1.5)
    \override TextScript #'Y-extent = #'(-1.5 . 1.5)
    \override PaperColumn #'keep-inside-line = ##t
     %Remove engraver here and add them in context staff to make multiple timesigs possible. This deactivates barnumbers!
    %\remove "Timing_translator"
    %\remove "Default_bar_line_engraver"
    %\override Tie #'details #'ratio = #2
  }
  \context { \Voice
    %Exchange note_heads_engraver with the completition variant which auto-ties notes on bar-breaks
    \remove "Note_heads_engraver"
    \consists "Completion_heads_engraver"
    tieWaitForNote = ##t
  }
  \context { \Staff
    \RemoveEmptyStaves
    %\override VerticalAxisGroup #'remove-first = ##t
    \override TimeSignature #'style = #'numbered

    %Commenting the following two lines in again, together with the revmoval in \score enables mutli-timesig mode. But disables barnumbers.
    %\consists "Timing_translator"
    %\consists "Default_bar_line_engraver"

    \override NoteHead  #'style = #'baroque  %breve and longa are squared.
  }
  \context { \Lyrics
      \consists "Bar_engraver"
      \consists "Tweak_engraver"
      \consists "Separating_line_group_engraver"
      \override BarLine #'transparent = ##t
  }
}

%Definitions Area. Must  come after all the static definitions so the user can override all values dynamically
%$$LILYPONDDEFINITIONS$$

%The marker below starts the music section.
%Needed for compatibility so that one template can be used for
%multi-score export and single-score export from the same template
%and without sacrificing flexible templates for the users.
%Anything in this block will be exported multiple times for .lbj files

%$$!%

%$$inc_music.ly$$

%$$!%
%The marker above ends the music section.
